searchNodes=[{"doc":"Formatting library for tabular data.","ref":"grid.html","title":"grid","type":"module"},{"doc":"Returns a cell with the specified text contents and width. Should only be called from format functions. This function is useful when the text returned does not correspond to the resulting visual width, e.g. when returning colored terminal text using ANSI escape codes (that don't have a width when printed to the terminal).","ref":"grid.html#cell/2","title":"grid.cell/2","type":"function"},{"doc":"Equivalent to format(Items, \#{}) .","ref":"grid.html#format/1","title":"grid.format/1","type":"function"},{"doc":"Format a list of items as a table. Returns a nested IO-data that needs to be printed manually (e.g. with io:format(Result) ).","ref":"grid.html#format/2","title":"grid.format/2","type":"function"},{"doc":"A cell containing text contents and its desired display width.","ref":"grid.html#t:cell/0","title":"grid.cell/0","type":"opaque"},{"doc":"Column display specification. An integer Integer is equivalent to \#{index =&gt; Integer} , an atom Atom is equivalent to \#{key =&gt; Atom} . index is which cell index should be rendered in this column key is which cell key should be rendered in this column name is the display name to use for the column header format is the format specification that will be applied to each cell","ref":"grid.html#t:column/0","title":"grid.column/0","type":"type"},{"doc":"Ordered list of columns to print.","ref":"grid.html#t:columns/0","title":"grid.columns/0","type":"type"},{"doc":"A format specification, either as a shortcut atom or a custom fun of type format_fun() .","ref":"grid.html#t:format/0","title":"grid.format/0","type":"type"},{"doc":"Function that takes a cell value and return its textual representation. Either as printable IO-data or a cell() .","ref":"grid.html#t:format_fun/0","title":"grid.format_fun/0","type":"type"},{"doc":"Enable headers by setting to true or supplying a specific format of type format() . Setting it to false disables printing of headers.","ref":"grid.html#t:header_opt/0","title":"grid.header_opt/0","type":"type"},{"doc":"Options to customize printing. spacer defaults to &quot; &quot; header defaults to false columns defaults to to printing all columns as-is","ref":"grid.html#t:opts/0","title":"grid.opts/0","type":"type"},{"doc":"Erlang formatting library for tabular data. The library can take most types of list with potential tabular data and format it as a table. Rows can be maps, tuples, lists or proplists (or a mix of these).","ref":"readme.html","title":"Overview","type":"extras"},{"doc":"Sensible 🧠 Without any options, grid tries to do the sensible thing and format your data in the best possible tabular way. Configurable 🔧 Want to re-order columns? Skip columns? Format rows or headers? grid has got your back!","ref":"readme.html#features","title":"Overview - Features","type":"extras"},{"doc":"Raw Data 1 &gt; io : format ( grid : format ( application : which_applications ( ) ) ) . inets INETS CXC 138 49 8.1 ssl Erlang / OTP SSL application 10.8 . 5 public_key Public key infrastructure 1.13 . 1 asn1 The Erlang ASN1 compiler version 5.0 . 21 5.0 . 21 crypto CRYPTO 5.1 . 2 stdlib ERTS CXC 138 10 4.1 . 1 kernel ERTS CXC 138 10 8.5 . 1 Custom Options 2 &gt; io : format ( grid : format ( application : which_applications ( ) , \#{ header =&gt; titlecase , columns =&gt; [ application , description , version ] , spacer =&gt; &quot; │ &quot; } ) ) . Application │ Description │ Version stdlib │ ERTS CXC 138 10 │ 4.1 . 1 kernel │ ERTS CXC 138 10 │ 8.5 . 1 Proplists 3 &gt; io : format ( grid : format ( [ ets : info ( T ) || T &lt;- ets : all ( ) ] , \#{ header =&gt; titlecase } ) ) . Compressed Decentralized counters Heir Id Keypos Memory Name Named table Node Owner Protection Read concurrency Size Type Write concurrency false false none # Ref &lt; 0.2124221214 . 1451884545.77687 &gt; 1 147 shell_records false nonode @ nohost &lt; 0.215 . 0 &gt; public false 0 ordered_set false false false none # Ref &lt; 0.2124221214 . 1451884548.77475 &gt; 1 6815 logger true nonode @ nohost &lt; 0.42 . 0 &gt; protected true 4 set true false false none # Ref &lt; 0.2124221214 . 1451884548.77482 &gt; 1 3073 ac_tab true nonode @ nohost &lt; 0.44 . 0 &gt; public true 35 set false false false none # Ref &lt; 0.2124221214 . 1451884548.77521 &gt; 1 48976 code false nonode @ nohost &lt; 0.50 . 0 &gt; private false 557 set false false false none # Ref &lt; 0.2124221214 . 1451884548.77522 &gt; 1 8838 code_names true nonode @ nohost &lt; 0.50 . 0 &gt; public false 57 set false false false none # Ref &lt; 0.2124221214 . 1451884548.77533 &gt; 1 631 inet_db true nonode @ nohost &lt; 0.51 . 0 &gt; public false 30 set false false false none # Ref &lt; 0.2124221214 . 1451884548.77534 &gt; 9 313 inet_cache true nonode @ nohost &lt; 0.51 . 0 &gt; public false 0 bag false false false none # Ref &lt; 0.2124221214 . 1451884548.77535 &gt; 1 313 inet_hosts_byname true nonode @ nohost &lt; 0.51 . 0 &gt; protected false 0 set false false false none # Ref &lt; 0.2124221214 . 1451884548.77536 &gt; 1 313 inet_hosts_byaddr true nonode @ nohost &lt; 0.51 . 0 &gt; protected false 0 set false false false none # Ref &lt; 0.2124221214 . 1451884548.77537 &gt; 1 313 inet_hosts_file_byname true nonode @ nohost &lt; 0.51 . 0 &gt; protected false 0 set false false false none # Ref &lt; 0.2124221214 . 1451884548.77538 &gt; 1 313 inet_hosts_file_byaddr true nonode @ nohost &lt; 0.51 . 0 &gt; protected false 0 set false false false none # Ref &lt; 0.2124221214 . 1451884548.77539 &gt; 1 313 inet_sockets true nonode @ nohost &lt; 0.51 . 0 &gt; protected false 0 set false false false none # Ref &lt; 0.2124221214 . 1451884548.77560 &gt; 1 393 rex_nodes_observer false nonode @ nohost &lt; 0.53 . 0 &gt; protected true 0 set false false false none # Ref &lt; 0.2124221214 . 1451884548.77567 &gt; 1 313 global_locks true nonode @ nohost &lt; 0.54 . 0 &gt; protected false 0 set false false false none # Ref &lt; 0.2124221214 . 1451884548.77568 &gt; 1 393 global_names true nonode @ nohost &lt; 0.54 . 0 &gt; protected true 0 set false false false none # Ref &lt; 0.2124221214 . 1451884548.77569 &gt; 1 313 global_names_ext true nonode @ nohost &lt; 0.54 . 0 &gt; protected false 0 set false false false none # Ref &lt; 0.2124221214 . 1451884548.77570 &gt; 1 313 global_pid_names true nonode @ nohost &lt; 0.54 . 0 &gt; protected false 0 bag false false false none # Ref &lt; 0.2124221214 . 1451884548.77571 &gt; 1 313 global_pid_ids true nonode @ nohost &lt; 0.54 . 0 &gt; protected false 0 bag false false false none # Ref &lt; 0.2124221214 . 1451884548.77572 &gt; 1 313 global_lost_connections true nonode @ nohost &lt; 0.54 . 0 &gt; protected false 0 set false false false none # Ref &lt; 0.2124221214 . 1451884548.77573 &gt; 1 313 global_node_resources true nonode @ nohost &lt; 0.54 . 0 &gt; protected false 0 set false false false none # Ref &lt; 0.2124221214 . 1451884548.77587 &gt; 1 313 file_io_servers true nonode @ nohost &lt; 0.59 . 0 &gt; protected false 0 set false false false none # Ref &lt; 0.2124221214 . 1451884548.77722 &gt; 1 313 ssl_pem_cache true nonode @ nohost &lt; 0.88 . 0 &gt; protected false 0 set false false false none # Ref &lt; 0.2124221214 . 1451884548.77730 &gt; 1 147 client_ssl_otp_session_cache false nonode @ nohost &lt; 0.89 . 0 &gt; protected false 0 ordered_set false false false none # Ref &lt; 0.2124221214 . 1451884548.77731 &gt; 1 313 ssl_otp_cacertificate_db false nonode @ nohost &lt; 0.89 . 0 &gt; public false 0 set false false false none # Ref &lt; 0.2124221214 . 1451884548.77732 &gt; 1 313 ssl_otp_ca_file_ref false nonode @ nohost &lt; 0.89 . 0 &gt; public false 0 set false false false none # Ref &lt; 0.2124221214 . 1451884548.77733 &gt; 1 313 ssl_otp_ca_ref_file_mapping false nonode @ nohost &lt; 0.89 . 0 &gt; protected false 0 set false false false none # Ref &lt; 0.2124221214 . 1451884548.77734 &gt; 1 313 ssl_otp_crl_cache false nonode @ nohost &lt; 0.89 . 0 &gt; protected false 0 set false false false none # Ref &lt; 0.2124221214 . 1451884548.77735 &gt; 1 313 ssl_otp_crl_issuer_mapping false nonode @ nohost &lt; 0.89 . 0 &gt; protected false 0 bag false false false none # Ref &lt; 0.2124221214 . 1451884548.77764 &gt; 1 313 dtls_listener_sup true nonode @ nohost &lt; 0.102 . 0 &gt; public false 0 set false false false none # Ref &lt; 0.2124221214 . 1451884548.77786 &gt; 2 313 httpc_manager__session_db true nonode @ nohost &lt; 0.110 . 0 &gt; public false 0 set false false false none # Ref &lt; 0.2124221214 . 1451884548.77787 &gt; 1 313 httpc_manager__handler_db true nonode @ nohost &lt; 0.110 . 0 &gt; protected false 0 set false false false none # Ref &lt; 0.2124221214 . 1451884548.77790 &gt; 2 313 httpc_manager__session_cookie_db false nonode @ nohost &lt; 0.110 . 0 &gt; protected false 0 bag false false false none # Ref &lt; 0.2124221214 . 1451884548.77801 &gt; 2 313 httpc_rebar__session_db true nonode @ nohost &lt; 0.113 . 0 &gt; public false 0 set false false false none # Ref &lt; 0.2124221214 . 1451884548.77802 &gt; 1 313 httpc_rebar__handler_db true nonode @ nohost &lt; 0.113 . 0 &gt; protected false 0 set false false false none # Ref &lt; 0.2124221214 . 1451884548.77803 &gt; 2 313 httpc_rebar__session_cookie_db false nonode @ nohost &lt; 0.113 . 0 &gt; protected false 0 bag false false false none # Ref &lt; 0.2124221214 . 1451884548.78098 &gt; 1 320 disk_log_names true nonode @ nohost &lt; 0.126 . 0 &gt; protected false 1 set false false false none # Ref &lt; 0.2124221214 . 1451884548.78099 &gt; 1 320 disk_log_pids true nonode @ nohost &lt; 0.126 . 0 &gt; protected false 1 set false false false none # Ref &lt; 0.2124221214 . 1451884548.78107 &gt; 2 41409 package_index true nonode @ nohost &lt; 0.9 . 0 &gt; public false 576 ordered_set false Mixed Data 4 &gt; io : format ( grid : format ( [ \#{ type =&gt; 1 } , [ 2 , foo , &quot;c&quot; ] , { 3 , &lt;&lt; &quot;quux&quot; &gt;&gt; } ] ) ) . 1 2 foo c 3 quux","ref":"readme.html#examples","title":"Overview - Examples","type":"extras"},{"doc":"All notable changes to this project will be documented in this file. The format is based on Keep a Changelog , and this project adheres to Semantic Versioning .","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"","ref":"changelog.html#unreleased","title":"Changelog - Unreleased","type":"extras"},{"doc":"Added Columns can be aligned by a column spec, e.g. \#{key =&gt; foo, alight =&gt; right} It is now possible to specify the same column multiple times Support mixed column types (index or spec) Column contents can now be formatted A row can be any term, which counts as a single column row with that term Proplists are formatted as maps with proper column keys","ref":"changelog.html#0-2-0-2022-01-01","title":"Changelog - 0.2.0 - 2022-01-01","type":"extras"},{"doc":"Initial version.","ref":"changelog.html#0-1-0-2022-02-28","title":"Changelog - 0.1.0 - 2022-02-28","type":"extras"},{"doc":"Copyright © 2022 Adam Lindberg Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the “Software”), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"License","type":"extras"}]